@charset "UTF-8";

:root {
	/* 컬러 */
	--t_darker: #0f172a;
	--t_dark: #1e293b;
	--t_normal: #334155;
	--t_medium: #475569;
	--t_light: #64748b;
	--t_lighter: #94a3b8;
	--t_lighter_l: #acb7c8;
	--t_thin: #cbd5e1;
	--t_table: #e2e8f0;
	--t_section: #f1f5f9;

	--m_darker: #004b50;
	--m_dark: #15803d;
	--m_main: #00a76f;
	--m_light: #02c75c;
	--m_light_l: #34d662;
	--m_lighter: #c8fad6;
	--m_bg_dk: #e8f2f5;
	--m_bg: #edf5f7;
	--m_white: white;

	--p_red: #ef4444;
	--p_red_d: #9d100d;
	--p_blue: #007ffe;
	--p_blue_d: #001eff;
	--p_blue_l: #3b82f6;
	--p_orange: #f97316;
	--p_yellow: #ff8c34;
	--p_pink: #ff6a7e;
	--p_purple_d: #5e438f;
	--p_purple: #9a4cfa;
	--p_magenta: #9f6fe3;
	--p_gold: #e4bc68;
	--p_gold_d: #c58023;
	--p_green_d: #003e31;

	--bg_lighter: #edf5f7;
	--bg_light: #e5f0f3;
	--bg_medium: #d6e7ec;
	--bg_normal: #c5dee3;
	--bg_dark: #b1d0d9;

	/* 폰트싸이즈 */
	--f_8: 8px;
	--f_9: 9px;
	--f_10: 10px;
	--f_11: 11px;
	--f_12: 12px;
	--f_13: 13px;
	--f_14: 14px;
	--f_15: 15px;
	--f_16: 16px;
	--f_17: 17px;
	--f_18: 18px;
	--f_19: 19px;
	--f_20: 20px;
	--f_22: 22px;
	--f_24: 24px;
	--f_26: 26px;
	--f_28: 28px;

	/* 슬라이더 폰트 싸이즈 */
	--swiper-navigation-size: 20px;

	/* 그림자 */
	--shadow: 0px 0px 15px rgba(145, 158, 171, 0.4);
}
/* --------- min --------- */
/* --------- min --------- */
/* --------- min --------- */

@media (min-width: 360px) {
	.blogMyProfile .myDetail {
		column-gap: 7%;
	}
}
@media (min-width: 380px) {
	.blogMyProfile .myDetail {
		column-gap: 8%;
	}
}
@media (min-width: 400px) {
	.blogMyProfile .myDetail {
		column-gap: 10%;
	}
}
@media (min-width: 440px) {
	/* 버튼 hover */
	a.m_dark:hover {
		background-color: var(--m_darker);
	}
	a.m_main:hover {
		background-color: var(--m_dark);
	}
	a.m_light:hover,
	a.m_lighter:hover,
	a.m_white:hover,
	a.m_dark:hover,
	a.t_normal:hover,
	a.t_medium:hover {
		background-color: var(--m_main);
		color: var(--m_white);
		border-color: var(--m_main);
	}

	a.m_darker:hover {
		background-color: var(--t_normal);
		color: var(--m_white);
		border-color: var(--t_normal);
	}
	a.t_light:hover {
		background-color: var(--t_medium);
	}
	a.p_red:hover {
		background-color: #be393c;
	}
	a.p_red_d:hover {
		background-color: #830302;
	}
	a.p_blue:hover {
		background-color: #1741bf;
	}
	a.p_blue_l:hover {
		background-color: var(--p_blue);
	}
	a.p_orange:hover {
		background-color: #c66013;
	}
	a.p_pink:hover {
		background-color: #bc3c87;
	}
	a.p_purple_d:hover {
		background-color: #002092;
	}
	a.p_purple:hover {
		background-color: #372b67;
	}
	a.m_bg:hover {
		background-color: #dcebef;
	}
	a.p_yellow:hover {
		background-color: var(--p_orange);
	}
	.pageNumWrap a:hover {
		color: var(--m_main);
	}
	input:focus,
	input:focus,
	select:focus,
	textarea:focus {
		border-color: var(--t_light);
		outline: none;
	}
	.userNotifTogCon {
		right: initial;
	}
	.blogMyProfile .myDetail {
		column-gap: 12%;
	}
	/* qr 어플다운 페이지 */
	.mBwrap:has(.qrAppDownPage) {
		max-width: initial;
		padding: 0;
	}
	.qrAppDownPage {
		background: url("../img/visual_img.jpg") no-repeat center bottom / cover;
		padding-bottom: 100px;
	}
}
@media (min-width: 520px) {
	.qrAppDownPage .introTxt ul li br {
		display: none;
	}
	.qrAppDownPage .btn {
		flex-direction: initial;
	}
	.qrAppDownPage .btn a {
		width: 200px;
	}
}
@media (min-width: 640px) {
	.mBwrap {
		max-width: 780px;
		margin: 0 auto;
		padding: 0px 70px 0px 70px;
		flex-direction: row;
		background-color: #e8eef5;
	}
	.mBwrap main {
		box-shadow: 0px 0px 40px rgba(232, 238, 245, 0.4);
		box-shadow: 0px 0px 40px rgb(188 199 213 / 70%);
	}
	.bottomTie {
		position: fixed;
		top: 0;
		right: 510px;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		width: initial;
		max-width: initial;
		order: -1;
		padding: 20px 20px 40px 0px;
		height: 100%;
		animation: bottomTieShow 0.1s forwards;
		z-index: 1000;
	}
	@keyframes bottomTieShow {
		0% {
			display: none;
			opacity: 0;
		}
		99.9% {
			display: none;
			opacity: 0;
		}
		100% {
			display: flex;
			opacity: 1;
		}
	}

	/* 푸터 */
	footer {
		width: 178px;
		padding: 0;
		color: var(--t_normal);
		background-color: transparent;
	}
	footer .policy_btn [data-popup="policy_personal"] {
		color: var(--t_normal);
	}
	/* 하단 네비 */
	nav {
		position: relative;
		width: initial;
		height: fit-content;
	}
	nav .gfr_logo {
		display: block;
		padding-bottom: 30px;
	}
	nav .bottom {
		flex-direction: column;
		align-items: flex-start;
		gap: 20px;
		height: initial;
		background-color: transparent;
		backdrop-filter: none;
		border: none;
		font-size: var(--f_17);
		font-weight: 700;
	}
	nav .bottom a {
		flex-direction: row;
		gap: 14px;
		width: initial;
		transition: all 0.2s;
	}
	nav .bottom a .img {
		width: 24px;
		height: 22px;
	}
	nav .bottom .booking {
		bottom: initial;
		width: initial;
		height: initial;
		border-radius: 0;
		padding-bottom: 0;
		background: transparent;
		color: var(--t_normal);
		box-shadow: none;
	}
	nav .bottom .booking .img {
		background-color: var(--t_normal);
	}
	nav .bottom a:hover {
		color: var(--m_main);
	}
	nav .bottom a:hover .img {
		background-color: var(--m_main);
	}
	.golfCCResItem img {
		width: 122px;
		height: 122px;
	}
	.feed_list_wrap {
		padding-bottom: 40px;
	}
	.feed_list_wrap .fd_list .fd_img img {
		width: 100%;
		max-height: 600px;
		object-fit: cover;
		border-radius: 12px;
	}
	.msgNotifPopUp {
		padding: 15px;
		bottom: -100px;
		right: 0px;
	}
	.msgNotifPopUp .con {
		background-color: var(--m_light);
		border-color: var(--m_light);
	}
	.msgNotifPopUp ul {
		color: white;
	}
	.msgNotifPopUp .msg_close_btn {
		background-color: white;
	}

	/* 회원검색 */
	.gr_mem_sh_wrap .lCon {
		grid-template-columns: repeat(2, 1fr);
	}
	.memLineInfo .leftInfo {
		flex-direction: column;
		align-items: flex-start;
	}
	.memLineInfo .goBlogHome {
		bottom: initial;
		top: 20px;
	}
	.gr_mem_sh_wrap label.filter .check_item {
		background-position-y: 10px;
		background-size: 56%;
		padding-top: 75%;
	}
	.gr_mem_sh_wrap label.filter:nth-child(3) .check_item {
		background-position-y: 14px;
		background-size: 50%;
	}

	/* 락체팅 */
	.rock_chat_list_wrap {
		padding-bottom: 40px;
	}
	.board_read_wrap .con {
		padding-bottom: 40px;
	}
	.board_read_wrap .con .pageNumWrap:has(> a) {
		padding-bottom: 0px;
	}

	.review_cmty_list_wrap .rv_list:last-child .wConB {
		border-width: 40px;
	}
}

/* --------- max --------- */
/* --------- max --------- */
/* --------- max --------- */
@media (max-width: 640px) {
	body:has(.point_charg_wrap) .bottomTie,
	body:has(.chatTopInfoWrap) .bottomTie {
		display: none;
	}
	.point_charg_wrap {
		padding-bottom: 15px;
	}
	.bottomTie nav {
		transition: all 0.3s;
	}
	.bottomTie.on nav {
		bottom: -15%;
	}
	.advance_pay_wrap .payment_type {
		padding-bottom: 20px;
	}
	.advance_pay_wrap .refund_policy {
		border-top: 1px solid var(--t_thin);
	}
	.chat_image_preview_pop .popup_box {
		max-width: 100%;
	}
	.photoUpload .boxItem .imgDel {
		display: none;
	}
}

@media (max-width: 440px) {
	.openTgCon {
		right: -120%;
		display: block;
		visibility: visible;
		transition: ease-in-out 0.4s;
	}
	.openTgCon.on {
		right: 0%;
	}
	.golfCCResItem .daySelect .widthSlide::-webkit-scrollbar {
		display: none; /* Chrome, Safari */
	}
}
